## org.apache.lucene.index
Class CheckIndex.Status.TermIndexStatus

    java.lang.Object
      org.apache.lucene.index.CheckIndex.Status.TermIndexStatus

Enclosing class:
  CheckIndex.Status

    public static final class CheckIndex.Status.TermIndexStatus

extends java.lang.Object

Status from testing term index.

Field Summary
`java.lang.Throwable` `error` Exception thrown during term index test (null on success)
`long` `termCount` Total term count
`long` `totFreq` Total frequency across all terms.
`long` `totPos` Total number of positions.

Constructor Summary
`CheckIndex.Status.TermIndexStatus()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### termCount

    public long termCount

  Total term count

### totFreq

    public long totFreq

  Total frequency across all terms.

### totPos

    public long totPos

  Total number of positions.

### error

    public java.lang.Throwable error

  Exception thrown during term index test (null on success)

Constructor Detail

### CheckIndex.Status.TermIndexStatus

    public CheckIndex.Status.TermIndexStatus()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.